Bug 518892 - Review Request: gedit-valencia - A gedit plugin providing lightweight Vala IDE
Summary: Review Request: gedit-valencia - A gedit plugin providing lightweight Vala IDE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-23 22:44 UTC by Michel Alexandre Salim
Modified: 2010-12-13 20:04 UTC (History)
5 users (show)

Fixed In Version: gedit-valencia-0.3.0-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-13 20:03:23 UTC
spacewar: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2009-08-23 22:44:14 UTC
Spec URL: http://salimma.fedorapeople.org/specs/gnome/gedit-valencia.spec
SRPM URL: http://salimma.fedorapeople.org/specs/gnome/gedit-valencia-0.2.1-1.fc12.src.rpm
Description:
Valencia is a gedit plugin that turns gedit into a lightweight IDE for Vala.
Using Valencia, you can easily browse between symbols in a Vala program.  You
can build a Vala program inside gedit and can easily jump to lines with
build errors. You can also get tooltips for methods and get autocompletion 
suggestions by invoking autocomplete in the appropriate context.

Comment 1 Rakesh Pandit 2010-01-08 08:24:50 UTC
[x] - Ok, [-] Needs input, [na] - Not Applicable

[x] Fails to build. 

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1908750

http://koji.fedoraproject.org/koji/getfile?taskID=1908752&name=build.log has more info

May you fix the build and then I can start review in more detail.

Thanks,

Comment 2 Rakesh Pandit 2010-05-17 08:00:41 UTC
Michel,

It has been three months 

In case you did addressed above issue in a week I will mark this request as deferred.

--
Regards,
Rakesh Pandit

Comment 3 Rakesh Pandit 2010-05-24 04:12:15 UTC
Open this when you enough time to invest in proceeding.

Thanks,

Comment 4 Michel Alexandre Salim 2010-05-24 11:08:48 UTC
It will have to stay deferred for quite a bit longer, I'm afraid -- waiting on upstream releasing 0.3, which is taking a while. They also develop Shotwell so I'm guessing most of the work goes there.

Comment 5 Michel Alexandre Salim 2010-07-26 14:31:12 UTC
Hi Rakesh,

I've just updated the specs for 0.3.0 -- from my testing it works fine with the current Vala 0.8.x and 0.9.x that we ship in F-12, F-13 and EL-6. Feel free to start the review:

http://salimma.fedorapeople.org/specs/gnome/gedit-valencia.spec
http://salimma.fedorapeople.org/specs/gnome/gedit-valencia-0.3.0-1.fc13.src.rpm

Thanks,

-- 
Michel

Comment 6 Michel Alexandre Salim 2010-09-15 11:29:15 UTC
Updated to also build against the newer Vala >= 0.9.5

http://salimma.fedorapeople.org/specs/gnome/gedit-valencia.spec
http://salimma.fedorapeople.org/specs/gnome/gedit-valencia-0.3.0-2.fc14.src.rpm

Comment 7 Eric Smith 2010-09-22 02:27:17 UTC
Koji scratch build for F13 i686 failed, complaining about missing pkg-config vala-1.0.pc

http://koji.fedoraproject.org/koji/taskinfo?taskID=2480847

Are you planning to push this for F13?  If not, I'll proceed with review.

Comment 8 Michel Alexandre Salim 2010-09-22 08:16:42 UTC
Hi Eric,

I will be planning to push this for F13, but the build problem is currently because of an abortive attempt to update Vala on F-13. We have a Vala build with the new-style API, and it's currently in the dist-f13-override tree (meaning it's used when packages being built requested Vala) but not pushed out as an update. I've requested the release engineering team to remove it from the overrides.

For now F-13 builds should work if you build locally against the vala-0.9.3 that is publicly available there, and F-14+ should work just fine. If you want to build on F-13 with Koji, change the version guard here:

%if 0%{?fedora} >=14 || 0%{?rhel} >= 6

replacing 14 with 13.

Thanks!

Oh, could you change the status to ASSIGNED and set the fedora-review flag? We don't want to clutter up the review queue, it's clogged up enough as it is. Thanks again.

Comment 9 Eric Smith 2010-10-02 23:44:19 UTC
Review summary:
* Fails rpmlint due to debuginfo without sources.  May need to patch Makefile to pass "-g" option to valac.  Possibly should arrange to pass make's CFLAGS as arguments to valac's -X option, to be passed to C compiler.


Review detail:

[FAIL] MUST: rpmlint must be run on every package. The output should be posted in the review.

$ rpmlint *.rpm *.spec
gedit-valencia.i686: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
gedit-valencia.i686: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
gedit-valencia.i686: W: spelling-error %description -l en_US tooltips -> tool tips, tool-tips, toolkit
gedit-valencia.i686: W: spelling-error %description -l en_US autocompletion -> auto completion, auto-completion, incompletion
gedit-valencia.i686: W: spelling-error %description -l en_US autocomplete -> auto complete, auto-complete, completeness
gedit-valencia.src: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
gedit-valencia.src: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
gedit-valencia.src: W: spelling-error %description -l en_US tooltips -> tool tips, tool-tips, toolkit
gedit-valencia.src: W: spelling-error %description -l en_US autocompletion -> auto completion, auto-completion, incompletion
gedit-valencia.src: W: spelling-error %description -l en_US autocomplete -> auto complete, auto-complete, completeness
gedit-valencia.x86_64: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
gedit-valencia.x86_64: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
gedit-valencia.x86_64: W: spelling-error %description -l en_US tooltips -> tool tips, tool-tips, toolkit
gedit-valencia.x86_64: W: spelling-error %description -l en_US autocompletion -> auto completion, auto-completion, incompletion
gedit-valencia.x86_64: W: spelling-error %description -l en_US autocomplete -> auto complete, auto-complete, completeness
gedit-valencia-debuginfo.i686: E: debuginfo-without-sources
gedit-valencia-debuginfo.x86_64: E: debuginfo-without-sources
5 packages and 1 specfiles checked; 2 errors, 15 warnings.

[OK] MUST: The package must be named according to the Package Naming Guidelines.
[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[OK] MUST: The package must meet the Packaging Guidelines.
[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[OK] MUST: The License field in the package spec file must match the actual license.
[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[N/A] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines.
[N/A] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[N/A] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[OK] MUST: Packages must NOT bundle copies of system libraries.
[N/A] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[N/A] MUST: Large documentation files must go in a -doc subpackage.
[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[N/A] MUST: Header files must be in a -devel package.
[N/A] MUST: Static libraries must be in a -static package.
[N/A] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[N/A] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[N/A] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[OK] MUST: Packages must not own files or directories already owned by other packages.
[OK] MUST: All filenames in rpm packages must be valid UTF-8.
[N/A] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[OK] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[OK] SHOULD: The reviewer should test that the package builds in mock.
----> built successfully for F14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2508619
[OK] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[OK] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
----> compiled and ran a hello world example from gedit
[N/A] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[N/A] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[N/A] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[N/A] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[N/A] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

Comment 10 Michel Alexandre Salim 2010-10-19 16:20:05 UTC
Apologies for the delay! Start of the semester here, been busy preparing.

Thanks for mentioning the optimization flags -- I just noticed that I need to pass them as VFLAGS, and need to pair each GCC option with its own -X. Done now.

I've disabled debuginfo generation for now, and stripped the library file by hand, because it looks like even after passing -g, the sources are still not being packaged in -debuginfo. I'm looking at the script right now but my hunch is that /usr/lib/rpm/find-debuginfo.sh does not know how to handle Vala sources (yet).

(ref:
https://fedoraproject.org/wiki/Packaging:Debuginfo#Useless_or_incomplete_debuginfo_packages_due_to_other_reasons
)

http://salimma.fedorapeople.org/specs/gnome/gedit-valencia.spec
http://salimma.fedorapeople.org/specs/gnome/gedit-valencia-0.3.0-2.fc14.src.rpm

Comment 11 Michel Alexandre Salim 2010-11-06 15:11:31 UTC
ping. Eric, would it be possible to get this review finished soon?

The other Vala plugin for gedit, vtg (gedit-vala) is currently not buildable on Rawhide, so we have no lightweight editing solution there ATM. 

Thanks -- Michel

Comment 12 Eric Smith 2010-11-20 22:25:11 UTC
The URL you gave for the source RPM is incorrect, should be release 3.

All issues have been addressed.  This package is

APPROVED

Comment 13 Michel Alexandre Salim 2010-11-25 11:01:43 UTC
(In reply to comment #12)
> The URL you gave for the source RPM is incorrect, should be release 3.
Ah, of course. Sorry about that.

> APPROVED
Thanks!

New Package SCM Request
=======================
Package Name: gedit-valencia
Short Description: A gedit plugin providing lightweight Vala IDE
Owners: salimma
Branches: f13 f14 el6
InitialCC:

Comment 14 Jason Tibbitts 2010-11-25 18:57:19 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2010-11-27 14:35:35 UTC
gedit-valencia-0.3.0-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gedit-valencia-0.3.0-4.fc13

Comment 16 Fedora Update System 2010-11-27 14:35:41 UTC
gedit-valencia-0.3.0-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gedit-valencia-0.3.0-4.fc14

Comment 17 Fedora Update System 2010-11-27 23:37:11 UTC
gedit-valencia-0.3.0-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gedit-valencia'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gedit-valencia-0.3.0-4.fc13

Comment 18 Fedora Update System 2010-12-13 20:03:10 UTC
gedit-valencia-0.3.0-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-12-13 20:04:34 UTC
gedit-valencia-0.3.0-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.